package jp.agentec.abook.abv.bl.acms.client.json;

import static org.junit.Assert.assertTrue;

import org.junit.Test;

public class CategoriesJSONTest {

	@Test
	public void testCategoryJSON() {
		String jsonString = "{\"httpStatus\":200,\"categoryList\":[{\"categoryId\":125,\"categoryName\":\"교육\",\"dispOrder\":2},{\"categoryId\":127,\"categoryName\":\"会社\",\"dispOrder\":3},{\"categoryId\":134,\"categoryName\":\"ジャンル1\",\"dispOrder\":5},{\"categoryId\":130,\"categoryName\":\"취미\",\"dispOrder\":4},{\"categoryId\":119,\"categoryName\":\"미지정\",\"dispOrder\":-1}]}";
		
		try {
			CategoriesJSON json = new CategoriesJSON(jsonString);
			System.out.println(json.httpStatus);
//			for (CategoryJSON category : json.getCategories()) {
//				System.out.println(category.toString());
//			}
		} catch (Exception e) {
			e.printStackTrace();
		}
		
		assertTrue(true);
	}

}
